Getting started

Introduction

The Skovik API is organized around REST. It is designed to have predictable,
resource-oriented URLs and to use HTTP response codes to indicate success and errors.
We use HTTP features like authentication and verbs, which can be understood by off-the-shelf HTTP-clients.

JSON is returned in all API-responses and all requests must be made using
HTTPS.

All data is UTF-8 encoded.

API exploration

To explore the API we recommend using a GUI like Postman or
Insomnia, or a CLI such as HTTPie or
cURL. Our reference also have inline code examples in most programming languages.

Note that this is for familiarising with the API. For the production implementation you will want to use
the canonical HTTP library for your particular language.

# instructions at https://httpie.org
http https://api.skovik.com
curl https://api.skovik.com
GET https://api.skovik.com/ HTTP/1.1
Accept: application/json
Host: api.skovik.com
📘

Read the Guides First

Before you dig into the API reference, read through our guides.
With good preparation the integration experience will be much smoother.

Our experience is that those who skip the planning spend a longer time completing the integration.